POST
/
v1
/
chats
/
history-sync
Sync chat history
curl --request POST \
  --url https://api.wazapin.com/v1/chats/history-sync \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channel_id": "<string>",
  "chat_id": "<string>",
  "message_info_payload": "<unknown>",
  "before_message_id": "<string>",
  "limit": 123
}
'
{
  "data": {
    "status": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Session token or API key

Body

application/json
channel_id
string
required

Channel ID

Minimum string length: 1
chat_id
string
required

Chat ID

Minimum string length: 1
message_info_payload
any
required

Upstream message info payload for history sync

before_message_id
string

Fetch messages before this message ID

limit
integer<int64>

Maximum number of messages to sync

Response

OK

data
object
required